NormalFlow (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.area

## Class NormalFlow

- java.lang.Object
- - org.apache.fop.area.AreaTreeObject
  - - org.apache.fop.area.Area
    - - org.apache.fop.area.BlockParent
      - - org.apache.fop.area.NormalFlow

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class NormalFlow
      extends BlockParent

  The normal-flow-reference-area class. Each span-reference-area contains one or more of these objects See fo:region-body definition in the XSL Rec for more information.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.area.BlockParent

      `children, xOffset, yOffset`

    - ### Fields inherited from class org.apache.fop.area.Area

      `bidiLevel, bpd, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, effectiveIPD, ipd, log, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, traits`

    - ### Fields inherited from class org.apache.fop.area.AreaTreeObject

      `extensionAttachments, foreignAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalFlow(int ipd)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBlock(Block block)` Add the block area to this block parent.

    - ### Methods inherited from class org.apache.fop.area.BlockParent

      `activateEffectiveIPD, addChildArea, getChildAreas, getEffectiveIPD, getXOffset, getYOffset, isEmpty, setXOffset, setYOffset`

    - ### Methods inherited from class org.apache.fop.area.Area

      `addTrait, clone, getAllocBPD, getAllocIPD, getAreaClass, getBidiLevel, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getChangeBarList, getEffectiveAllocIPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, resetBidiLevel, setAreaClass, setBidiLevel, setBPD, setChangeBarList, setIPD, setTraits, setWritingModeTraits, toString`

    - ### Methods inherited from class org.apache.fop.area.AreaTreeObject

      `addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NormalFlow

          public NormalFlow(int ipd)

      Constructor.
      Parameters:
        `ipd` - of Normal flow object

  - ### Method Detail

    - #### addBlock

          public void addBlock(Block block)

      Add the block area to this block parent.
      Overrides:
        `addBlock` in class `BlockParent`
      Parameters:
        `block` - the child block area to add

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.